Bug 1413692 - custom schema is registered in small caps after schema reload.
Summary: custom schema is registered in small caps after schema reload.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 16:50 UTC by German Parente
Modified: 2020-09-13 21:17 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-88.el6
Doc Type: Bug Fix
Doc Text:
The fix for the bug 1144092 which was put in 389-ds-base-1.2.11.15-51.el6 and newer brought an side effect. The symptom is lowering the case of the reloaded new schema. This patch fixes the issue.
Clone Of:
Environment:
Last Closed: 2017-03-21 10:24:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1304 0 None closed During schema reload sometimes the search returns no results 2020-10-08 12:04:18 UTC
Red Hat Product Errata RHBA-2017:0667 0 normal SHIPPED_LIVE 389-ds-base bug fix update 2017-03-21 12:35:05 UTC

Description German Parente 2017-01-16 16:50:32 UTC
Description of problem:


I am logging this bug because an important customer is having this difference in behavior even if this should not be considered as a bug:


1) copy a custom schema file to /etc/dirsrv/slapd-<server>/schema/

2) schema-reload.pl

3) ldapsearch .... -b "cn=schema" \*  attributetypes objectclasses


in releases till 50 we can see that the clauses MAY and MUST will show the attributetypes with the original case:

 MUST customAttr MAY ( customAttr2 $ customAttr3 $ ...

in releases after 50:

 MUST customattr MAY ( customattr2 $ customattr3 $ ...

A server restart will fix it.

I have detected that the problem comes from this patch:

https://fedorahosted.org/389/ticket/47973

removing it will show the attribute types in the original case.

even if this should not be a bug because the attribute types are case insensitive, as this is provoking issues for the customer, would it be possible to have a correction to show the same behavior ?

Thanks and regards,

German.

Comment 14 errata-xmlrpc 2017-03-21 10:24:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0667.html


Note You need to log in before you can comment on or make changes to this bug.